## ros-kinetic-pr2-mechanism-controllers 1.10.14

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_mechanism_controllers)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS std_msgs geometry_msgs pr2_mechanism_msgs nav_msgs pr2_msgs visualization_msgs diagnostic_msgs pr2_controller_interface roscpp pr2_controllers_msgs pr2_mechanism_model realtime_tools robot_mechanism_controllers  pluginlib rosconsole tf angles control_toolbox filters diagnostic_updater message_generation)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

add_message_files(
   DIRECTORY msg
   FILES
   BaseControllerState2.msg
   BaseControllerState.msg
   BaseOdometryState.msg
   DebugInfo.msg
   Odometer.msg
   OdometryMatrix.msg
   TrackLinkCmd.msg
)

add_service_files(
   DIRECTORY srv
   FILES
   SetProfile.srv
)

find_package(Eigen3 REQUIRED)
find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include ${EIGEN3_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS}
   ${catkin_INCLUDE_DIRS})

## Generate added messages and services with any dependencies listed here
generate_messages( DEPENDENCIES geometry_msgs std_msgs)

catkin_package(
    DEPENDS EIGEN3
    CATKIN_DEPENDS std_msgs geometry_msgs pr2_mechanism_msgs nav_msgs pr2_msgs visualization_msgs diagnostic_msgs pr2_controller_interface roscpp pr2_controllers_msgs pr2_mechanism_model realtime_tools robot_mechanism_controllers  pluginlib rosconsole tf angles control_toolbox filters diagnostic_updater message_runtime
    INCLUDE_DIRS include
    LIBRARIES pr2_mechanism_controllers
)

add_definitions(-O3)

add_library( pr2_mechanism_controllers
  src/laser_scanner_traj_controller.cpp
  src/caster_controller.cpp
  src/base_kinematics.cpp
  src/pr2_odometry.cpp
  src/pr2_base_controller.cpp
  src/pr2_base_controller2.cpp
  src/pr2_gripper_controller.cpp
  src/trajectory.cpp
  )
target_link_libraries(pr2_mechanism_controllers ${Boost_LIBRARIES} 
   ${catkin_LIBRARIES})
add_dependencies(pr2_mechanism_controllers
   ${pr2_mechanism_controllers_EXPORTED_TARGETS} ${pr2_msgs_EXPORTED_TARGETS})
pr2_enable_rpath(pr2_mechanism_controllers)

# TODO: tests

install(TARGETS pr2_mechanism_controllers
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(FILES controller_plugins.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY scripts/
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-kinetic-pr2-mechanism-controllers (1.10.14-0xenial) xenial; urgency=high

  * Merge pull request #389 <https://github.com/PR2/pr2_controllers/issues/389> from k-okada/kinetic-devel
    - use Eigen3 instead of Eigen
  * use Eigen3 instead of Eigen
  * Merge pull request #388 <https://github.com/PR2/pr2_controllers/issues/388> from k-okada/add_missing_dep
    add missing dependency
  * Merge pull request #387 <https://github.com/PR2/pr2_controllers/issues/387> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * Merge pull request #369 <https://github.com/PR2/pr2_controllers/issues/369> from muratsevim/hydro-devel
    std namespace prefix is added to isnan calls
  * mechanism_controllers: add missing pr2_msgs dependency
  * change maintainer to ROS orphaned package maintainer
  * std namespace prefix is added to isnan calls
  * Contributors: Kei Okada, Mehmet Murat Sevim, Michael Görner

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Feb 2018 15:00:00 -0000

ros-kinetic-pr2-mechanism-controllers (1.10.13-0xenial) xenial; urgency=high

  * Updated maintainership
  * Contributors: dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-kinetic-pr2-mechanism-controllers (1.10.12-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 15:00:00 -0000

ros-kinetic-pr2-mechanism-controllers (1.10.10-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 15 Dec 2014 15:00:00 -0000

ros-kinetic-pr2-mechanism-controllers (1.10.9-0xenial) xenial; urgency=high

  * Changelogs
  * Added changelogs
  * Changelogs; maintainership
  * Contributors: TheDash
  * Changelogs; maintainership
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 15 Dec 2014 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pr2-mechanism-controllers
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-control-toolbox, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-filters, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-nav-msgs, ros-kinetic-pluginlib, ros-kinetic-pr2-controller-interface, ros-kinetic-pr2-controllers-msgs, ros-kinetic-pr2-mechanism-model, ros-kinetic-pr2-mechanism-msgs, ros-kinetic-pr2-msgs, ros-kinetic-realtime-tools, ros-kinetic-robot-mechanism-controllers, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Homepage: http://ros.org/pr2_mechanism_controllers
Standards-Version: 3.9.2

Package: ros-kinetic-pr2-mechanism-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-angles, ros-kinetic-control-toolbox, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-filters, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-nav-msgs, ros-kinetic-pluginlib, ros-kinetic-pr2-controller-interface, ros-kinetic-pr2-controllers-msgs, ros-kinetic-pr2-mechanism-model, ros-kinetic-pr2-mechanism-msgs, ros-kinetic-pr2-msgs, ros-kinetic-realtime-tools, ros-kinetic-robot-mechanism-controllers, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Description: The pr2_mechanism_controllers package contains realtime controllers that are meant for specific mechanisms of the PR2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pr2-mechanism-controllers//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
